GrailsUrlPathHelper (Grails 6.0.0)

Package: org.grails.web.servlet

## [Java] Class GrailsUrlPathHelper

- org.grails.web.servlet.GrailsUrlPathHelper

-     public class GrailsUrlPathHelper
      extends org.springframework.web.util.UrlPathHelper

  Extends the default Spring UrlPathHelper and makes methods Grails path aware.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GRAILS_DISPATCH_EXTENSION` |
    `static java.lang.String` | `GRAILS_SERVLET_PATH` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.util.UrlPathHelper` | `PATH_ATTRIBUTE, defaultInstance, rawPathInstance`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getPathWithinApplication(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.util.UrlPathHelper` | `org.springframework.web.util.UrlPathHelper#isUrlDecode(), org.springframework.web.util.UrlPathHelper#shouldRemoveSemicolonContent(), org.springframework.web.util.UrlPathHelper#resolveAndCacheLookupPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getResolvedLookupPath(javax.servlet.ServletRequest), org.springframework.web.util.UrlPathHelper#getPathWithinServletMapping(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getPathWithinApplication(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getRequestUri(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingRequestUri(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingContextPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingServletPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingQueryString(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#decodeRequestString(javax.servlet.http.HttpServletRequest, java.lang.String), org.springframework.web.util.UrlPathHelper#decodePathVariables(javax.servlet.http.HttpServletRequest, java.util.Map), org.springframework.web.util.UrlPathHelper#decodeMatrixVariables(javax.servlet.http.HttpServletRequest, org.springframework.util.MultiValueMap), org.springframework.web.util.UrlPathHelper#getServletPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getLookupPathForRequest(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getLookupPathForRequest(javax.servlet.http.HttpServletRequest, java.lang.String), org.springframework.web.util.UrlPathHelper#setAlwaysUseFullPath(boolean), org.springframework.web.util.UrlPathHelper#setUrlDecode(boolean), org.springframework.web.util.UrlPathHelper#setRemoveSemicolonContent(boolean), org.springframework.web.util.UrlPathHelper#removeSemicolonContent(java.lang.String), org.springframework.web.util.UrlPathHelper#getContextPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#setDefaultEncoding(java.lang.String), org.springframework.web.util.UrlPathHelper#wait(long), org.springframework.web.util.UrlPathHelper#wait(long, int), org.springframework.web.util.UrlPathHelper#wait(), org.springframework.web.util.UrlPathHelper#equals(java.lang.Object), org.springframework.web.util.UrlPathHelper#toString(), org.springframework.web.util.UrlPathHelper#hashCode(), org.springframework.web.util.UrlPathHelper#getClass(), org.springframework.web.util.UrlPathHelper#notify(), org.springframework.web.util.UrlPathHelper#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GRAILS_DISPATCH_EXTENSION

    - #### public static final java.lang.String GRAILS_SERVLET_PATH

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getPathWithinApplication(javax.servlet.http.HttpServletRequest request)